Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1815649 - Go client for ClusterOperator.config.openshift.io is not generated
Summary: Go client for ClusterOperator.config.openshift.io is not generated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Nick Hale
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1816483
Blocks: 1815655
TreeView+ depends on / blocked
 
Reported: 2020-03-20 19:53 UTC by Jim Minter
Modified: 2020-07-13 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OperatorHub type definition is missing an additional `+genclient` marker comment required for Kubernetes client generation. Consequence: The generated client is not available in openshift/client-go config client. Fix: Add the missing `+genclient` marker comment to the OperatorHub config type. Result: The generated client is available in the openshift/client-go config client.
Clone Of:
: 1815655 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:23:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift client-go pull 143 0 None closed Bug 1815649: chore(codegen): generate operatorhub config client 2020-09-08 06:54:09 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:23:51 UTC

Description Jim Minter 2020-03-20 19:53:55 UTC
At https://github.com/openshift/api/blob/master/config/v1/types_operatorhub.go#L39-L41, there is a missing `// +genclient`. As a result no client is built for the ClusterOperator.config.openshift.io resource.  Witness the lack of a operatorhub.go file at https://github.com/openshift/client-go/tree/master/config/clientset/versioned/typed/config/v1 , for example.

Please can this be fixed in master and backported back to 4.3?

Comment 3 Fan Jia 2020-04-10 01:07:37 UTC
There is operatorhub.go in https://github.com/openshift/client-go/tree/master/config/clientset/versioned/typed/config/v1, and all the operatorhub function is ok in cluster.

Comment 5 errata-xmlrpc 2020-07-13 17:23:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.